Page MenuHome

Problem made each time pressing ALT + F11 2x on Windows Vista
Closed, ArchivedPublic

Description

System Information
Windows Vista 32 bit

Blender Version
Worked: in 2.73, 2.74 (optional)
NOT working in 2.76 new.

Problem made each time pressing ALT + F11 on Windows Vista.

Exact steps for others to reproduce the error
Just open fresh Blender 2.76 and press, ALT + F11 2x.
(first time to full screen all is ok, second time is NOT all ok)


I added screenshot for you to see "refresh problem" I get.

Regards, to all. :)

Details

Type
Bug

Event Timeline

ClassiCB (ClassiCB) raised the priority of this task from to Needs Triage by Developer.
ClassiCB (ClassiCB) updated the task description. (Show Details)
ClassiCB (ClassiCB) set Type to Bug.

Please make sure you have device pack 2 and the latest graphics driver

Hello, again.

Adding info:

I have NVIDIA GeForce GT 220.

If "device pack 2" means "service pack 2", yes, it is installed on my PC.
And I installed latest Nvidia graphics driver. No change. Still same as on
screenshot I uploaded before.

ClassiCB

Campbell Barton (campbellbarton) renamed this task from Problem made each time pressing ALT + F11 2x on Windows Vista. ...reported by ClassiCB to Problem made each time pressing ALT + F11 2x on Windows Vista.Oct 23 2015, 5:28 AM
Sergey Sharybin (sergey) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Oct 27 2015, 7:33 PM

Does it still happen with latest builds from builder.blender.org? We did some fixes recently which might have resolved the issue..

Hello, Sergey.

I downloaded and tried last build from builder.blender.org as you told me.
Here are my testing results on Vista 32bit:

Just after opening Blender and pressing ALT + F11 two times gives me this result:

After that pressing ALT + F11 again two times, gives me this result:

After that, this look stays until closing and opening Blender again or refreshing like this:

By unlocking taskbar and moving up and down, it gives correct refresh to taskbar display.

I see progress in Blender last build update in first run, after that it is back to old problem.

Wish you great day. :)
ClassiCB

Sergey Sharybin (sergey) closed this task as Archived.Nov 3 2015, 12:31 PM
Sergey Sharybin (sergey) claimed this task.

Well, on a closer look it doesn't really seem to be a blender fault at all, just some changes in the OpenGL usage of blender unleashed some corner cases of either Windows itself or video driver. Sure enough no application should be able to corrupt parts of operation system which it doesn't own.

You can try ensuring all the updates are installed, video driver is latest one. You can also download software OpenGL implementation opengl32.dll from ftp://ftp.blender.org/sergey/softwaregl/ and put next to blender.exe to see if it makes any difference in the behavior.

Other than that it's quite impossible to solve such issue when you don't have direct access to the buggy configuration. Thanks for the report, but we can't fix Windows or drivers..